%define name	nagios-check_x224
%define version	9734
%define release	%mkrel 3

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Nagios x224 plugin
Group:		Networking/Other
License:	BSD
URL:		http://exchange.nagios.org/directory/Plugins/Remote-Access/check_x224/details
Source0:	check_x224
BuildArch:  noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}

%description
Checks that the most basic parts of a Remote Desktop connection succeeds.
The Remote Desktop protocol builds on a protocol called x224. This plugin
checks that the initial and most basic parts of a Remote Desktop connection -
the part which is specified by x224 - succeeds. I.e., it does a bit more than a
TCP connection test at port 3389. 

%prep

%build

%install
rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{_datadir}/nagios/plugins
install -m 755 %{SOURCE0} %{buildroot}%{_datadir}/nagios/plugins

install -d -m 755 %{buildroot}%{_sysconfdir}/nagios/plugins.d
cat > %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_x224.cfg <<'EOF'
define command {
	command_name    check_x224
	command_line    %{_datadir}/nagios/plugins/check_x224 -H $HOSTADDRESS$
}
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_x224.cfg
%{_datadir}/nagios/plugins/check_x224





%changelog

* Sat Jan 12 2013 umeabot <umeabot> 9734-3.mga3
+ Revision: 360738
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 03 2011 ennael <ennael> 9734-2.mga1
+ Revision: 62997
- imported package nagios-check_x224

